Bug 1412448 - We might not be purging all tables that we should be
Summary: We might not be purging all tables that we should be
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.6.4
Assignee: Keenan Brock
QA Contact: Dave Johnson
URL:
Whiteboard: perf:database
Depends On: 1348625
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 03:19 UTC by Satoe Imaishi
Modified: 2017-03-09 17:07 UTC (History)
6 users (show)

Fixed In Version: 5.6.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1348625
Environment:
Last Closed: 2017-03-09 17:07:34 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0474 0 normal SHIPPED_LIVE CFME 5.6.4 bug fixes and enhancement update 2017-03-09 22:03:14 UTC

Comment 2 CFME Bot 2017-01-17 14:56:03 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/71935b1eb82ebf7559affd376c603c599305f10a

commit 71935b1eb82ebf7559affd376c603c599305f10a
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Tue Oct 11 18:19:43 2016 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 17 09:51:29 2017 -0500

    Merge pull request #11813 from kbrock/prune_system_events
    
    Prune all EventStream events
    (cherry picked from commit a9497c3d792341e1c81113a7a071e634a92bdc03)
    
     https://bugzilla.redhat.com/show_bug.cgi?id=1412448

 app/models/ems_event.rb                        | 43 -------------------------
 app/models/event_stream.rb                     | 44 ++++++++++++++++++++++++++
 app/models/miq_schedule_worker/jobs.rb         |  2 +-
 spec/models/miq_schedule_worker/runner_spec.rb |  2 +-
 4 files changed, 46 insertions(+), 45 deletions(-)

Comment 4 CFME Bot 2017-01-18 14:51:13 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/6fc70e711c78c49b4639f72be75215dd9a6f23c1

commit 6fc70e711c78c49b4639f72be75215dd9a6f23c1
Author:     Keenan Brock <kbrock@redhat.com>
AuthorDate: Tue Jan 17 12:37:17 2017 -0500
Commit:     Keenan Brock <kbrock@redhat.com>
CommitDate: Tue Jan 17 12:37:17 2017 -0500

    Handle duplicate purge events
    
    We no longer need purging to be unique
    
    Fixes back port of #11813 from kbrock/prune_system_events
    
    (cherry picked from commit a9497c3d792341e1c81113a7a071e634a92bdc03)
    
     https://bugzilla.redhat.com/show_bug.cgi?id=1412448

 spec/models/ems_event_spec.rb | 13 -------------
 1 file changed, 13 deletions(-)

Comment 6 Keenan Brock 2017-01-30 19:50:56 UTC
thanks
Should be good

Comment 8 errata-xmlrpc 2017-03-09 17:07:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0474.html


Note You need to log in before you can comment on or make changes to this bug.